Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Install Ruby crashing in upgrade on first mount

  1. #1
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Exclamation Install Ruby crashing in upgrade on first mount

    Hi I am trying to upgrade my poweredge 2900, The upgrade process crashes in ruby upon trying to mount the current opensuse 42.2 volume.
    I have attached the image of the debug screen and hardware info. Any help on resolving this issue would be greatly accepted and welcome

    Debug Error Message

    [58,67] in /mounts/mp_0001/usr/lib64/ruby/vendor_ruby/2.5.0/yast/debugger.rb
    .........
    => 63: end


    Configuration: I tried to insert the hardware info dump. but it was half a meg, so I have linked a download location

    I hope this helps.

    Otherwise I am not sure what part of the dump to attach

    Files: I am using a self signed certificate


  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,120
    Blog Entries
    2

    Default Re: Install Ruby crashing in upgrade on first mount

    You'll have to describe what you're doing in better detail.

    First, be aware that we openSUSE call simple patching and minor feature installs "updating" and major system changes as "upgrades"
    Each are quite different

    Command line to update
    Code:
    zypper update
    Command line to upgrade
    Code:
    zypper dist-upgrade
    Alternative shortened commands for the above which are commonly used are "zypper up" and "zypper dup"

    If you're new to openSUSE, I'd recommend skimming the slidedeck I created for my New to openSUSE" presentation

    https://slides.com/tonysu/opensuse

    After you've clarified what you're actually doing, we can talk about how your error happened... Ordinarily I don't think that anything related to a location called "mounts" should point to a ruby library file although there is probably a little bit of info that it is somehow related to YaST. Maybe you are running a YaST module attempting to do something?

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Default Re: Install Ruby crashing in upgrade on first mount

    Hi I am doing dist upgrade thru using a usb drive and a copy of the installer for leap 15.0. X64

    Boot from the usb stick and select upgrade.

    Have been using Suse since version 6 way back!

    Everything runs normally, the upgrade detects the OS and volume correctly, then crashes in the ruby script that tried to mount the volume for upgrade.

    I hope this help !

    One more thing I have upgraded My workstation and laptop, and backup server this way without any problems, using the same usb stick

  4. #4
    Join Date
    Sep 2012
    Posts
    5,023

    Default Re: Install Ruby crashing in upgrade on first mount

    Quote Originally Posted by ercoupeflyer View Post
    I have attached the image of the debug screen and hardware info.
    No, you did not. Upload them to https://susepaste.org/ and post link here.

  5. #5
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Default Re: Install Ruby crashing in upgrade on first mount

    Hi i included a link tagged as "files" on my post that takes you to the files, sorry, I will upload them to the location and link them.
    Sorry for the misunderstanding!

    Brian

  6. #6
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Default Re: Install Ruby crashing in upgrade on first mount

    Here is the link to the debug image

    Picture of screen

    Machine info is a dump, text file

    When i try to past the text into the susepaste.org page ...when i click create it returns a 404 page not found

    the text dump is about 500k

    you can down load it if you click the "File:" link in my first page or

    will try as something other than text and see what happens !!

    Ok I tried as another code type

    this is what was returned

    This page isn’t working

    susepaste.org didn’t send any data.
    ERR_EMPTY_RESPONSE




  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,120
    Blog Entries
    2

    Default Re: Install Ruby crashing in upgrade on first mount

    From what you posted that you've used this USB stick to upgrade other machines successfully before,
    It seems to me that your Poweredge probably has a different disk sub-system that prevents mounting during stage 2 of the install/upgrade.

    Recommend you look at your disk drivers used before upgrading, possibly your disk layout.
    How well do you know the history of this machine, when it was first installed and later maintenance?
    Is it being updated with drivers and software from Dell besides what you get from openSUSE?

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Default Re: Install Ruby crashing in upgrade on first mount

    Hi It has been running suse since 12.x and is currently running 42.2, I have never had any issues with it before.

    I have always used stock drives from suse. I have had it since it was new! It has run SUSE since the beginning.

    It was purchased bare metal

    the device and config dump lists all the information!

  9. #9
    Join Date
    Jul 2008
    Location
    California
    Posts
    123

    Default Re: Install Ruby crashing in upgrade on first mount

    in previous message drives should read drivers........ Sorry

  10. #10
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,120
    Blog Entries
    2

    Default Re: Install Ruby crashing in upgrade on first mount

    You can try running an online upgrade instead of using your USB stick.

    Instructions in the following, skip the top half and start with "Running the Upgrade"

    https://en.opensuse.org/SDB:System_upgrade

    You can then use the USB stick as your "Recovery disk" if anything should go wrong.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •